function init()
	tshape = FindShape()
	value = GetTagValue(tshape, "ore")
	SetTag(shape, "interact", "loc@UI_COLLECT_JEWEL", false)
	SetTag(shape, "unbreakble")
end

function tick()
	if GetPlayerInteractShape() == tshape then
		DrawShapeOutline(tshape, 1, 1, 1, 1)
		if InputPressed("interact")  then
			RemoveTag(tshape, "interact")
			SetString("hud.notification", GetTranslatedStringByKey("UI_HUD_NOTE_PICKED_UP_CUSTOM," .. GetDescription(tshape)))
			SetBool("game.mod.cave."..value, true)
			Delete(tshape)
		end
	end
end